xiterm+thai (1.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:29:00 +0800

xiterm+thai (1.10-2) unstable; urgency=low

  * Add dpkg-dev (>= 1.16.1~) to build-deps
    * debian/control:
      - Add dpkg-dev (>= 1.16.1~) to build-deps as we require the hardening
        build flags from the "dpkg-buildflags --export=configure".
        (Thanks, Theppitak Karoonboonyanan)
  * Adjust desktop file
    (Thanks, Paul Wise for an advice of "desktop-file-validate" tool)
    * debian/xiterm+thai.desktop:
      - Change "Version" to 1.0 as it the desktop file version not the
        software version.
      - Adjust the "Comment" wording.
      - Drop the "Icon" file extension as it's not the absolute path as
        mentioned in the Icon Theme Specification.
      - Adjust the "Categories":
        - Add TerminalEmulator to the "Categories" and also add System which
          it's required by the TerminalEmulator category.
        - Drop Application category as it's deprecated.
        - Add a semicolon (';') as trailing character for each category.
  * Add comment to lintian-overrides
  * Correct wording and formatting in txiterm manpage
    * debian/txiterm.1:
      - Correct wording and formatting. (Thanks, Theppitak Karoonboonyanan)
  * Wrap line at 80 columns and remove comments
    * debian/txiterm.1:
      - Wrap line at 80 columns and adjust wording.
        (Thanks, Theppitak Karoonboonyanan for example patch)
      - Remove comments.
      - Update the revision date in the format YYYY-MM-DD.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 11 Jan 2012 11:25:29 +0700

xiterm+thai (1.10-1) unstable; urgency=low

  * Imported Upstream version 1.10
  * Set Vcs-{Git,Browser} to Alioth
  * debian/control, debian/copyright: Apply wrap-and-sort
  * Replace hardening-wrapper with dpkg-buildflags
    * debian/control:
      - Drop hardening-wrapper which now replaced by dpkg-buildflags (hardening
        build flags included).
      - Add dh-autoreconf.
    * debian/rules:
      - Drop DEB_BUILD_HARDENING=1.
      - Drop hardcoded CFLAGS which now included in build_flags.
      - Adjust to use the dh_autoreconf.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 05 Jan 2012 17:57:12 +0700

xiterm+thai (1.09-4) unstable; urgency=low

  * Update Debian copyright to DEP-5 rev 202
    * debian/copyright:
      - Correct the license to GPL-2+ as the upstream does not specify any
        license text that strictly use the GPL-2 only.
  * Add recommended build-arch/build-indep targets to debian/rules
    * debian/rules:
      - Adjust build target to call build-arch and build-indep
      - Adjust the binary-indep target to does nothing as no indep build is
        required.
  * Drop suggests on "menu" as it is unneeded. (Closes: #647388)
  * Add Provides: x-terminal-emulator as it's actually be
  * Bump standards-version to 3.9.2 (no changes needed).
  * Use hardening build flags
    * debian/control:
      - Add hardening-wrapper to build-deps
    * debian/rules:
      - Add export DEB_BUILD_HARDENING=1

 -- Neutron Soutmun <neo.neutron@gmail.com>  Mon, 21 Nov 2011 18:02:17 +0700

xiterm+thai (1.09-3) unstable; urgency=low

  * Switch to "3.0 (quilt)" source format. 
  * debian/compat:
    - Bump compatibility level to 7.
  * debian/control:
    - Bump the standards-version to 3.8.3 (no changes needed).
    - Update debhelper depends on version 7 in Build-Depends.
    - Remove sharutils from Build-Depends (no needs).
    - Update Vcs-* respected to new upstream SVN repository.
  * debian/rules:
    - Replace dh_clean -k (deprecated) with dh_prep.
    - Replace the lintian-overrides installation with dh_lintian.
    - Remove dh_install and let the upstream 'make install' does the job
      directly.
  * -debian/install: Removed (no needs).
  * debian/copyright:
    - Update copyright year of current maintainer.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 21 Jan 2010 10:21:18 +0700

xiterm+thai (1.09-2) unstable; urgency=low

  * debian/watch: 
    - Fix the incorrected upstream url pattern.
  * debian/rules:
    - Remove dh_desktop which is now deprecated, triggers handle this.
  * debian/control:
    - Bump the standards-version to 3.8.2, no changes needed.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 30 Jul 2009 16:29:04 +0700

xiterm+thai (1.09-1) unstable; urgency=low

  * New upstream release.
    - Fix security risk for X11 connection stealth (CVE-2008-1692)
      [thanks Debian security audit team]
    - Remove build-dependency on Xt Intrinsic
    - Clear much more GCC warnings
    - Improve make rules and some code structure
    - Thai-specific info in man page
    - Really enable Xpm support when available.
    - Less memory usage at load time, by removing unused linkages to libSM
      and libICE.
    - New desktop icon. [Neutron Soutmun]
  * debian/control: 
    - Add build-dep on pkg-config to satisfy the upstream changes.
    - Drop build-dep on libxt-dev as upstream changes.
  * debian/rules, debian/xiterm+xiterm-icon.uuencode: 
    - Drop the binary to text icon file and related installation, 
      the icon file included in the current upstream source.
    - Drop the workaround, rename manpage before the installation. 
      The upstream renamed the manpage from xiterm.1 to xiterm+thai.1.
  * debian/watch: Fix the typo upstream release ftp link.
  * lintian clean:
    - debian/txiterm.1: Fix the mistaken hyphen-used-as-minus-sign. 
    - debian/xiterm+thai.desktop: Fix the desktop-entry-contains-encoding-key
      by drop the Encoding key which it is now deprecated.
  * debian/txiterm, debian/xiterm+thai.desktop: 
    - Add the parameters to set the white foreground and black background color
      to the caller which can turn more readable screen.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 24 Apr 2008 16:21:09 +0700

xiterm+thai (1.07-1) unstable; urgency=low

  * New maintainer for formerly removed package. (Closes: #465713)
  * New upstream release.
    - Binary program renamed from xiterm to xiterm+thai, to avoid conflict
      with openi18n's xiterm.
    - Fix Fails-to-build-from-source bug with gcc. 
    - Minor fixes and improvements.
  * Use upstream tarball without debian subdir instead of CVS snapshot, and
    repackage it as non-native.
  * Bump the compatibility level:
    - debian/compat: Bump to V5.
    - debian/control: Add ${misc:Depends} and bump build depends on 
      debhelper to (>= 5.0.51). Thanks Paul Wise for the suggestion which if
      no need the new features of debhelper compat 6 then leave it at the
      latest compat level available in stable.
    - debian/rules, debian/install: Add dh_install for installing files.
    - debian/manpages: Add manpage files which dh_installman use for proper
      installation.
    - debian/dirs: Drop, unneeded.
  * Bump Standards-Version:
    - debian/control: Bump Standards-Version to 3.7.3.
    - debian/menu: Change section to Applications/Terminal Emulators, 
      conform menu policy.
  * Adjust config.guess, config.sub handling:
    - debian/rules: Adjust config.guess, config.sub handling which the change 
      is not included in .diff.gz.
    - debian/control: Add build depends on autotools-dev.
  * Add watch file.
  * debian/control: 
    - Add Vcs-Cvs, Vcs-Browser and Hompage infos.
    - Drop build depends on x-dev, unneeded.
    - Drop build conflicts on xiterm, no conflict files anymore.
    - Drop build suggests on nonlock, package has been removed from debian.
    - Rewrite package description. Thanks Paul Wise and 
      Theppitak Karoonboonyanan.
  * debian/rules:
    - Remove workaround code for source compilation with utmp support, 
      upstream fixed.
    - Pass --host=$(DEB_HOST_GNU_TYPE) to configure only when cross compiling.
    - Pass CFLAGS to configure.
    - Install lintian override file to ignore the warning message, 
      xiterm+thai: setgid-binary usr/bin/xiterm+thai 2755 root/utmp.
    - Install upstream changelog.
  * debian/menu: Drop unneeded menu with title="xiterm". Thanks Paul Wise.
  * Add menu to support GNOME. Thanks Paul Wise.
    - The workaround while upstream still not consider to add desktop and 
      icon files yet, patch was sent to upstream.
    - debian/xiterm+thai.desktop: Create GNOME desktop.
    - debian/xiterm+thai-icon.uuencode: Create binary to text (uuencode) 
      xiterm+thai icon, modified gnome-term icon.
    - debian/control: Add build depends on sharutils, uudecode is needed for
      convert back the xiterm+thai icon from text to binary.
    - debian/rules: Install xiterm+thai.{desktop,png}, register using 
      dh_desktop and dh_icons.
  * debian/docs, debian/examples: 
    - Move debian/inputrc from debian/docs to debian/examples which it is 
      example script instead of doc.
  * debian/docs: Drop unneeded docs. Thanks Paul Wise.
    - README is about building.
    - doc/COPYRIGHT.HISTORY is copied in debian/copyright.
    - doc/README.rxvt.greek - Thai != greek. 
    - doc/README.xvt.
  * Convert README.thai encoding. Thanks Paul Wise.
    - debian/rules: Convert README.thai encoding from TIS-620 to UTF-8 for
      additional UTF-8 environment readable and install as README.thai-UTF-8.
    - debian/docs: Add README.thai-UTF-8.
  * debian/txiterm, debian/postinst, debian/prerm, debian/README.Debian: 
    s/xiterm/xiterm+thai/ as upstream changed.
  * debian/copyright: Rewrite in machine-interpretable format.
  * debian/txiterm.1: Add txiterm manpage, which the author does not create
    yet.
  * debian/README.Debian: Rewrite to update infos.
  * debian/BUILDING: Drop outdated maintainer documentation.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 06 Feb 2008 23:44:58 +0700

xiterm+thai (1.06.cvs20060109-1) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#357872); set maintainer to Debian QA Group.
  * debian/txiterm: Handle arguments containing whitespace.

 -- Matej Vela <vela@debian.org>  Wed,  5 Apr 2006 13:20:55 +0200

xiterm+thai (1.06.cvs20060109) unstable; urgency=low

  * Fix BuildDepends: xlibs-dev. (closes: #346928)

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon,  9 Jan 2006 13:21:37 +1100

xiterm+thai (1.06.cvs20041019) unstable; urgency=low

  * Conflict with xiterm. (closes: #274773)

 -- Chanop Silpa-Anan <chanop@debian.org>  Tue, 19 Oct 2004 14:39:13 +1000

xiterm+thai (1.06) unstable; urgency=low

  * 1.06 release. (closes: #225076)
  * Build against XFree86 4.3.0. 

 -- Chanop Silpa-Anan <chanop@debian.org>  Wed, 25 Feb 2004 01:54:06 +1100

xiterm+thai (1.05.cvs20020221) unstable; urgency=low

  * New 1.05 release. 
  * Fix package desscription. (closes: #125546)

 -- Chanop Silpa-Anan <chanop@debian.org>  Thu, 21 Feb 2002 23:36:02 +1100

xiterm+thai (1.04.cvs20011207) unstable; urgency=low

  * Fix optimization flag. (closes: #122778) 

 -- Chanop Silpa-Anan <chanop@debian.org>  Fri,  7 Dec 2001 16:30:16 +1100

xiterm+thai (1.04.cvs20011206) unstable; urgency=low

  * Default txiterm script to no xim.

 -- Chanop Silpa-Anan <chanop@debian.org>  Thu,  6 Dec 2001 15:47:44 +1100

xiterm+thai (1.04.cvs20010801) unstable; urgency=low

  * CVS snapshort. Fix devfsd problem.
  * Use Standards-Version: 3.5.6 (woody ready).

 -- Chanop Silpa-Anan <chanop@debian.org>  Wed,  1 Aug 2001 02:43:43 +1000

xiterm+thai (1.04.cvs20010402) unstable; urgency=low

  * Finally, debian directory is merged into upstream cvs

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon,  2 Apr 2001 16:28:13 +1000

xiterm+thai (1.04pre2-1) unstable; urgency=low

  * New upstream release 

 -- Chanop Silpa-Anan <chanop@debian.org>  Thu, 22 Feb 2001 23:54:56 +1100

xiterm+thai (1.04pre1-2) unstable; urgency=low

  * Remove the usage of dpkg-statoveride from maintainer scripts
  * Bump Standards-Version to 3.5.1 

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon, 19 Feb 2001 22:17:07 +1100

xiterm+thai (1.04pre1-1) unstable; urgency=low

  * New upstream release
  * Thai xim is folded into the release
  * Compile with utmp support

 -- Chanop Silpa-Anan <chanop@debian.org>  Mon, 22 Jan 2001 23:08:59 +1100

xiterm+thai (1.03-1.1) unstable; urgency=low

  * Add Thai xim patch
  * Never been uploaded to debian

 -- Chanop Silpa-Anan <chanop@debian.org>  Tue, 21 Nov 2000 16:36:12 +1100

xiterm+thai (1.03-1) unstable; urgency=low

  * New upsteam release
  * Patch for X locale setting and new Thai xkb keymap is incorporated upstream
  * Meta package xfonts-thai is uploaded and installed in archives (closes: #74171)

 -- Chanop Silpa-Anan <chanop@debian.org>  Fri, 10 Nov 2000 14:33:57 +1100

xiterm+thai (1.02-9) unstable; urgency=low

  * Recompile with XFree 4.0.1d and libc6 2.1.96
  * Patch the keyboard input for new Thai xkb map distributed with XFree 4.0.1d
  * Add LANG=th_TH in txiterm wrapper script for Thai locale

 -- Chanop Silpa-Anan <chanop@debian.org>  Fri, 10 Nov 2000 14:33:29 +1100

xiterm+thai (1.02-8.1) unstable; urgency=low

  * Add debhelper to Build-Depends
  * Use debian standard version 3.2.1

 -- Chanop Silpa-Anan <chanop@debian.org>  Thu,  7 Sep 2000 19:50:19 +1100

xiterm+thai (1.02-8) unstable; urgency=low

  * Fix extended description; was rejected from uploading.
  * Use Standdards-Version: 3.1.1

 -- Chanop Silpa-Anan <chanop@debian.org>  Tue, 11 Jul 2000 03:05:18 +1000

xiterm+thai (1.02-7) unstable; urgency=low

  * Export TERM=xterm-color instead of xterm-debian, since I had a few problems 
  * using ncurses program, ie mutt, dselect. Since ncurses 5.0-5, xterm-color is
  * conformed to Debian keyboard polocy

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Sun, 20 Feb 2000 15:53:15 +1100

xiterm+thai (1.02-6) unstable; urgency=low

  * Change scroll bar size to 10

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Wed,  9 Feb 2000 12:19:57 +1100

xiterm+thai (1.02-5) unstable; urgency=low

  * Fix wrapper txiterm to point to /usr/bin/xiterm
  * Fix default $TERM from xterm-color to xterm-debian
  * Fix control file, depends on xfonts-thai-nectec

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Sat, 29 Jan 2000 01:29:03 +1100

xiterm+thai (1.02-4) unstable; urgency=low

  * Repackage using pristine source
  * Move to Standards-Version: 3.0.1
  * Move binary from /usr/X11R6/bin to /usr/bin

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Fri, 28 Jan 2000 14:16:04 +1100

xiterm+thai (1.02-3) unstable; urgency=low

  * Add x-terminal-emulater alternative
  * Make the package conform to Debian policy
  * fix minor debian/rules file

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Fri, 28 Jan 2000 14:08:05 +1100

xiterm+thai (1.02-2) unstable; urgency=low

  * move to use xfonts-thai instead of thaifonts

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Mon,  10 January 2000  01:00:00 +1000

xiterm+thai (1.02-1) unstable; urgency=low

  * Initial Release.

 -- Chanop Silpa-Anan <chanop@syseng.anu.edu.au>  Mon,  6 Sep 1999 21:09:48 +1000
